Skip to main content
GET
Get Datasets the user has access to

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

minimumPermission
enum<string>

Filter for the minimum Dataset permission the principal must have on the returned Datasets. Permission within a Dataset

Available options:
DeleteDatasetRwV2,
EditPropertyValuesDatasetRwV2,
EditSecurityDatasetRwV2,
EditTaxonomyTagsDatasetRwV2,
ListDatasetRwV2,
PerformDatasetRwActionsInProjectV2,
PermanentDeleteDatasetRwV2,
ReadDatasetRwV2,
UpdateDatasetRwV2,
PerformDatasetRwActionsAsAdminV2
projectIdsToExclude
string[]

Project IDs of the Datasets to exclude from the result.

projectIdsToInclude
string[]

Project IDs to get the Datasets from. Should not be passed in if projectIdsToExclude is passed in, and vice versa.

includeProjectInfo
boolean

Whether to return project info in the returned objects.

includeArchivedProjects
boolean

If false, exclude Datasets that belong to archived projects. Defaults to true for backward compatibility.

offset
integer

How many Datasets from the start to skip. Defaults to 0.

limit
integer

Max number of Datasets to fetch. Defaults to 10.

Response

Success

datasets
object[]
required
metadata
object
required
Last modified on September 3, 2026